petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCGAMGRegister

Register a PCGAMG implementation.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGRegister(PCGAMGType type, PetscErrorCode (*create)(PC))

### Input Parameters

+ type - string that will be used as the name of the GAMG type. Many br- create - function for creating the gamg context. Many br

Many br

.seealso: PCGAMGType, PCGAMG, PCGAMGSetType() Many br

Level:advanced
Location:src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages